> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkupapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company Information

> Extract detailed information about a company from LinkedIn

Get comprehensive information about a company including description, size, locations, and other business details.

<Note>
  This endpoint costs **1 credit** per request.
</Note>

### Header Parameters

<ParamField header="x-api-key" type="string" required>
  Your API key
</ParamField>

### Body Parameters

<ParamField body="company_url" type="string" required>
  LinkedIn company URL (e.g., [https://www.linkedin.com/company/stripe/](https://www.linkedin.com/company/stripe/))
</ParamField>

<ParamField body="country" type="string" default="FR">
  Country code for proxy selection. Available: (US, UK, FR, DE, NL, IT, IL, CA, BR, ES, IN)
</ParamField>

<ParamField body="login_token" type="string" required>
  LinkedIn authentication cookie obtained from the login/verify process
</ParamField>

### Response

<ResponseField name="status" type="string">
  Request status (success/error)
</ResponseField>

<ResponseField name="data" type="object">
  <Expandable title="Properties">
    <ResponseField name="name" type="string">
      Company name
    </ResponseField>

    <ResponseField name="universalName" type="string">
      Company URL identifier
    </ResponseField>

    <ResponseField name="description" type="string">
      Company description
    </ResponseField>

    <ResponseField name="websiteUrl" type="string">
      Company website URL
    </ResponseField>

    <ResponseField name="employeeCount" type="integer">
      Total number of employees
    </ResponseField>

    <ResponseField name="employeeCountRange" type="object">
      <Expandable title="Range Properties">
        <ResponseField name="start" type="integer">Minimum range</ResponseField>
        <ResponseField name="end" type="integer">Maximum range</ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="headquarter" type="object">
      <Expandable title="Address Properties">
        <ResponseField name="country" type="string">Country code</ResponseField>
        <ResponseField name="geographicArea" type="string">State/Region</ResponseField>
        <ResponseField name="city" type="string">City</ResponseField>
        <ResponseField name="line1" type="string">Street address</ResponseField>
        <ResponseField name="postalCode" type="string">Postal code</ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="locations" type="array">
      Array of company office locations
    </ResponseField>

    <ResponseField name="organizationType" type="string">
      Type of organization
    </ResponseField>

    <ResponseField name="followersCount" type="integer">
      Number of LinkedIn followers
    </ResponseField>

    <ResponseField name="verified" type="boolean">
      Whether the company page is verified
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "status": "success",
    "data": {
      "name": "Stripe",
      "universalName": "stripe",
      "description": "Stripe is a financial infrastructure platform for businesses. Millions of companies—from the world’s largest enterprises to the most ambitious startups—use Stripe to accept payments, grow their revenue, and accelerate new business opportunities. Headquartered in San Francisco and Dublin, the company aims to increase the GDP of the internet.",
      "tagline": "Help increase the GDP of the internet.",
      "websiteUrl": "https://stripe.com",
      "industry": "Technology, Information and Internet",
      "employeeCount": 11685,
      "employeeCountRange": {
        "start": 5001,
        "end": 10000
      },
      "headquarter": {
        "country": "US",
        "geographicArea": "California",
        "city": "South San Francisco",
        "line2": null,
        "line1": "354 Oyster Point Blvd",
        "postalCode": "94080"
      },
      "logoUrl": "https://media.licdn.com/dms/image/v2/D4E0BAQFqiwiSMcKk6A/company-logo_200_200/company-logo_200_200/0/1724937022726/stripe_logo?e=1750896000&v=beta&t=HhXH11lhKvAADBP8MukV5oM-Im2NLhNTAWeMDx5QGM8",
      "coverImageUrl": null,
      "callToAction": {
        "displayText": "Learn more",
        "visible": true,
        "type": "LEARN_MORE",
        "url": "https://stripe.com/jobs"
      },
      "locations": [
        {
          "streetAddressOptOut": false,
          "description": "Headquarters",
          "address": {
            "country": "US",
            "geographicArea": "California",
            "city": "South San Francisco",
            "line2": null,
            "line1": "354 Oyster Point Blvd",
            "postalCode": "94080"
          },
          "headquarter": true
        },
        {
          "streetAddressOptOut": false,
          "description": "Stripe Dublin",
          "address": {
            "country": "IE",
            "geographicArea": "County Dublin",
            "city": "Dublin",
            "line2": null,
            "line1": "1 Grand Canal Street Lower",
            "postalCode": null
          },
          "headquarter": false
        },
        {
          "streetAddressOptOut": false,
          "description": "Stripe Seattle",
          "address": {
            "country": "US",
            "geographicArea": "Washington",
            "city": "Seattle",
            "line2": null,
            "line1": "920 5th Ave",
            "postalCode": "98104"
          },
          "headquarter": false
        },
        {
          "streetAddressOptOut": false,
          "description": "Stripe London",
          "address": {
            "country": "GB",
            "geographicArea": "England",
            "city": "London",
            "line2": null,
            "line1": "211 Old Street",
            "postalCode": "EC1V 9NR"
          },
          "headquarter": false
        },
        {
          "streetAddressOptOut": false,
          "description": "Stripe Paris",
          "address": {
            "country": "FR",
            "geographicArea": "Ile-de-France",
            "city": "Paris",
            "line2": null,
            "line1": "10, Boulevard Haussmann",
            "postalCode": "75009"
          },
          "headquarter": false
        },
        {
          "streetAddressOptOut": false,
          "description": "Stripe Singapore",
          "address": {
            "country": "SG",
            "geographicArea": "Singapore",
            "city": "Central Business District",
            "line2": null,
            "line1": "89 Neil Rd",
            "postalCode": "088894"
          },
          "headquarter": false
        },
        {
          "streetAddressOptOut": false,
          "description": "Stripe Tokyo",
          "address": {
            "country": "JP",
            "geographicArea": "Shibuya-ku",
            "city": "Tokyo",
            "line2": null,
            "line1": "1-5-8 Jingumae",
            "postalCode": "150-0001"
          },
          "headquarter": false
        },
        {
          "streetAddressOptOut": false,
          "description": "Stripe Chicago",
          "address": {
            "country": "US",
            "geographicArea": "Illinois",
            "city": "Chicago",
            "line2": null,
            "line1": "515 N State St",
            "postalCode": "60610"
          },
          "headquarter": false
        },
        {
          "streetAddressOptOut": false,
          "description": "Stripe New York",
          "address": {
            "country": "US",
            "geographicArea": "NY",
            "city": "New York",
            "line2": null,
            "line1": "11 Park Pl",
            "postalCode": "10301"
          },
          "headquarter": false
        },
        {
          "streetAddressOptOut": false,
          "description": "Stripe Amsterdam",
          "address": {
            "country": "NL",
            "geographicArea": "North Holland",
            "city": "Amsterdam",
            "line2": null,
            "line1": "Singel 542",
            "postalCode": "1017"
          },
          "headquarter": false
        },
        {
          "streetAddressOptOut": false,
          "description": "Stripe Mexico",
          "address": {
            "country": "MX",
            "geographicArea": "Colonia Juarez ",
            "city": "Ciudad de Mexico",
            "line2": null,
            "line1": "Avenida Paseo de la Reforma 296 ",
            "postalCode": "06600"
          },
          "headquarter": false
        },
        {
          "streetAddressOptOut": false,
          "description": "Stripe Australia",
          "address": {
            "country": "AU",
            "geographicArea": "Victoria",
            "city": "Melbourne",
            "line2": null,
            "line1": "222 Exhibition St",
            "postalCode": "3000"
          },
          "headquarter": false
        },
        {
          "streetAddressOptOut": false,
          "description": "Stripe Brazil",
          "address": {
            "country": "BR",
            "geographicArea": "São Paulo",
            "city": "Paulínia",
            "line2": null,
            "line1": "Avenida Paulista 1374",
            "postalCode": "13140-000"
          },
          "headquarter": false
        },
        {
          "streetAddressOptOut": false,
          "description": "Bangalore",
          "address": {
            "country": "IN",
            "geographicArea": "Karnataka",
            "city": "Bengaluru",
            "line2": null,
            "line1": "Church Street Haridevpur, Shanthala Nagar, Ashok Nagar",
            "postalCode": "560001"
          },
          "headquarter": false
        }
      ],
      "organizationType": "Privately Held",
      "defaultLocale": "en",
      "followersCount": 1016002,
      "pageMailbox": false,
      "verified": true,
      "socialProofText": "Tibalt & 20 other connections follow this page"
    }
  }
  ```
</ResponseExample>

### Notes

* The company URL must be a valid LinkedIn company page URL
* Some fields may be null or missing depending on the company's public information
